// SPDX-FileCopyrightText: 2023 Aravinth Manivannan <realaravinth@batsense.net>
//
// SPDX-License-Identifier: Apache-2.0
// SPDX-License-Identifier: MIT

use libcachebust::BusterBuilder;

fn main() {
    let types = vec![
        mime::IMAGE_PNG,
        mime::IMAGE_SVG,
        mime::IMAGE_JPEG,
        mime::IMAGE_GIF,
        mime::TEXT_CSS,
    ];

    let config = BusterBuilder::default()
        .source("./static/cachable/")
        .result("./dist")
        .mime_types(types)
        .follow_links(true)
        .build()
        .unwrap();

    config.process().unwrap();
}
